Subject: Re: [PATCH 00/24] Kill the_index part3

From: Brandon Williams <[email-masked]>
Date: Mon, 13 Aug 2018 10:28:57 -0700

On 08/13, Nguyễn Thái Ngọc Duy wrote:
> This is the third part of killing the_index (at least outside
> builtin/). Part 1 [1] is dropped. Part 2 is nd/no-extern on 'pu'. This
> part is built on top of nd/no-extern.
> 
> This series would actually break 'pu' because builtin/stash.c uses
> three functions that are updated here. So we would need something like
> the following patch to make it build again.
> 
> I don't know if that adds too much work on Junio. If it does, I guess
> I'll hold this off for a while until builtin/stash.c gets merged
> because reordering these patches, pushing the patches that break
> stash.c away, really takes a lot of work.
> 
> [1] https://public-inbox.org/git/[email-masked]/

I went through and found this to be a pleasant read and hopefully others
agree with the approach this series took vs what your part 1 did so that
we can get this change in.

-- 
Brandon Williams